Loading...
Searching...
No Matches
UnsafePromises.h File Reference

Defines the lowering pass that removes unsafe promises. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::lower_unsafe_promises (const Stmt &s, const Target &t)
| Lower all unsafe promises into either assertions or unchecked code, depending on the target.
Stmt | Halide::Internal::lower_safe_promises (const Stmt &s)
| Lower all safe promises by just stripping them.

## Detailed Description

Defines the lowering pass that removes unsafe promises.

Definition in file UnsafePromises.h.